import React from 'react';
import PropTypes from 'prop-types';
import { withStyles } from 'material-ui/styles';
import AppBar from 'material-ui/AppBar';
import Toolbar from 'material-ui/Toolbar';
import Typography from 'material-ui/Typography';
import DKRZlogo from  '../assets/DKRZ-logo.png';
import WDCClogo from  '../assets/WDCC-logo.png';

const styles = {
  root: {
    width: '100%',
    color: '#005191',
  },
  flex: {
    flex: 1,
    fontSize: '1.5em',
  },
  menuButton: {
    marginLeft: -12,
    marginRight: 20,
  },
  wdccLogo: {
    height: 40,
  },
  dkrzLogo: {

  },
  loginButton: {
    marginTop: 10,
    marginLeft: 5,
  }
};

function ButtonAppBar(props) {
  const { classes } = props;
  return (
    <div className={classes.root}>
      <AppBar position="static">
        <Toolbar>
          <img alt="" src={WDCClogo} className={classes.wdccLogo} />
          <Typography type="title" color="inherit" className={classes.flex}>
            Apache Solr Search Interface
          </Typography>
          <img alt="" src={DKRZlogo} className={classes.dkrzLogo} />
        </Toolbar>
      </AppBar>
    </div>
  );
}

ButtonAppBar.propTypes = {
  classes: PropTypes.object.isRequired,
};

export default withStyles(styles)(ButtonAppBar);

// vi: ft=javascript.jsx
